Report an avatar-video render job's status
curl --request PATCH \
--url https://api.orbit.devotel.io/api/v1/video/avatar-video-renders/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_url": "<string>",
"error": "<string>"
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/video/avatar-video-renders/{id}"
payload = {
"output_url": "<string>",
"error": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({output_url: '<string>', error: '<string>'})
};
fetch('https://api.orbit.devotel.io/api/v1/video/avatar-video-renders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"render": {
"id": "<string>",
"persona_id": "<string>",
"script_template": "<string>",
"merge_fields": {},
"rendered_script": "<string>",
"locale": "<string>",
"output_url": "<string>",
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Video
Report an avatar-video render job's status
The render runtime’s callback reporting a job’s status transition once it has an outcome (e.g. an output clip URL, or a failure reason). Owner/admin/developer only; scoped on video:write.
PATCH
/
api
/
v1
/
video
/
avatar-video-renders
/
{id}
Report an avatar-video render job's status
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Path Parameters
The vavr_-prefixed render job id.
Body
application/json
The new lifecycle state. Must be a valid transition from the job's current status.
Available options:
rendering, completed, failed The rendered clip's HTTPS URL. Required when transitioning to completed.
Maximum string length:
2048Human-readable failure reason. Set when transitioning to failed.
Maximum string length:
500⌘I